Summary: Modem Manager GUI
Name: modem-manager-gui
Version: 0.0.16
Release: 1%{dist}
License: GPLv3
Group: Applications/Communications
URL: http://linuxonly.ru
Source:	%{name}-%{version}.tar.gz
Vendor:	Alex <alex@linuxonly.ru>
#BuildArch: x86_64

Requires: gtk3 >= 3.4.0, glib2 >= 2.32.1, gdbm >= 1.10, libnotify >= 0.7.5
BuildRequires: pkgconfig, gtk3-devel >= 3.4.0, glib2-devel >= 2.32.1, gdbm-devel >= 1.10, desktop-file-utils

%description
This program is simple graphical interface for Modem Manager 
daemon dbus interface.
Current features:
- View device information: Operator name, Mode, IMEI, IMSI,
  Signal level.
- Send and receive SMS messages with long massages 
  concatenation and store messages in database.
- Send USSD requests and read answers in GSM7 and UCS2 formats
  converted to system UTF8 charset.
- Scan available mobile networks.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALLPREFIX=%{buildroot}
desktop-file-install --dir %{buildroot}%{_datadir}/applications --delete-original %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE
%doc AUTHORS
%doc Changelog
%{_bindir}/%{name}
%{_libdir}/%{name}/modules/modmm_mm06.so
%{_libdir}/%{name}/modules/modmm_mm07.so
%{_libdir}/%{name}/modules/modcm_nm09.so
%{_libdir}/%{name}/modules/modcm_pppd245.so
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/pixmaps/%{name}.png
%{_datadir}/%{name}/pixmaps/cont-tb.png
%{_datadir}/%{name}/pixmaps/dev-tb.png
%{_datadir}/%{name}/pixmaps/info-tb.png
%{_datadir}/%{name}/pixmaps/scan-tb.png
%{_datadir}/%{name}/pixmaps/sms-tb.png
%{_datadir}/%{name}/pixmaps/ussd-tb.png
%{_datadir}/%{name}/pixmaps/traffic-tb.png
%{_datadir}/%{name}/pixmaps/sms-read.png
%{_datadir}/%{name}/pixmaps/sms-unread.png
%{_datadir}/%{name}/pixmaps/message-received.png
%{_datadir}/%{name}/pixmaps/message-sent.png
%{_datadir}/%{name}/pixmaps/message-drafts.png
%{_datadir}/%{name}/pixmaps/info-equipment.png
%{_datadir}/%{name}/pixmaps/info-network.png
%{_datadir}/%{name}/pixmaps/info-location.png
%{_datadir}/%{name}/sounds/message.ogg
%{_datadir}/%{name}/ui/%{name}.ui
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/modem-manager-gui.1.gz

%changelog
* Sat Jul 6 2013 Alex <alex@linuxonly.ru> - 0.0.16-1.fc19
- Version 0.0.16 fixes

* Tue Dec 16 2012 Alex <alex@linuxonly.ru>
- added additional pictures for 0.0.15 release

* Wed Aug 08 2012 Alex <alex@linuxonly.ru>
- released spec

